package com.lz.modules.flow.dao;
/**
* <p>
* 流转关系表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.FlowDepartment;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface FlowDepartmentMapper extends BaseMapper<FlowDepartment> {


	FlowDepartment selectFlowDepartmentById(@Param("id")Long id);


	Long insertFlowDepartment(FlowDepartment flowDepartment);


	int updateFlowDepartmentById(FlowDepartment flowDepartment);


	int updateCoverFlowDepartmentById(FlowDepartment flowDepartment);


	int deleteFlowDepartmentById(@Param("id")Long id);


    FlowDepartment selectByStaffId(@Param("staffId") Long staffId);

    FlowDepartment selectByParentId(@Param("parentId") Long parentId);
}